From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Tue, 18 Feb 2020 17:59:12 +0100
Subject: drm: etnaviv: Enter runtime suspend faster
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Three frames are enough. Runtime PM moves us to longer
delays if necessary.

Signed-off-by: Guido Günther <guido.gunther@puri.sm>
---
 drivers/gpu/drm/etnaviv/etnaviv_gpu.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/gpu/drm/etnaviv/etnaviv_gpu.c b/drivers/gpu/drm/etnaviv/etnaviv_gpu.c
index 37018bc..1c4eb97 100644
--- a/drivers/gpu/drm/etnaviv/etnaviv_gpu.c
+++ b/drivers/gpu/drm/etnaviv/etnaviv_gpu.c
@@ -1837,7 +1837,7 @@ static int etnaviv_gpu_platform_probe(struct platform_device *pdev)
 	 * yet been performed to determine an appropriate value.
 	 */
 	pm_runtime_use_autosuspend(gpu->dev);
-	pm_runtime_set_autosuspend_delay(gpu->dev, 200);
+	pm_runtime_set_autosuspend_delay(gpu->dev, 50);
 	pm_runtime_enable(gpu->dev);
 
 	err = component_add(&pdev->dev, &gpu_ops);
